package com.googlecode.jpattern.core.commandfacade;

import java.util.ArrayList;
import java.util.List;

import com.googlecode.jpattern.core.command.IErrorMessage;

/**
 * 
 * @author Francesco Cina'
 *
 * 25 Feb 2011
 */
public class NullCommandFacadeResult<T> implements ICommandFacadeResult<T> {

    private static final long serialVersionUID = 1L;

    @Override
    public String asString() {
        return "";
    }

    @Override
    public List<IErrorMessage> getErrorMessages() {
        return new ArrayList<IErrorMessage>();
    }

    @Override
    public T getReturnedObject() {
        return null;
    }

    @Override
    public boolean isValid() {
        return false;
    }

}
