package com.googlecode.jpattern.service.transaction;

import com.googlecode.jpattern.core.IProvider;

/**
 * 
 * @author Francesco Cina'
 *
 * 28 Mar 2011
 * 
 * This class represents a fake transaction.
 */
public class NullTransactionManager extends ATransactionManager {

	@Override
	public boolean beginTransaction(IProvider provider) {
		return false;
	}

	@Override
	protected void commit(IProvider provider) {
	}

	@Override
	protected void rollback(IProvider provider) {
	}

	@Override
	public void setForceReadOnly(boolean forceReadOnly) {
	}

	@Override
	public void setForceNewTransaction(boolean forceNewTransaction) {
	}

}
